package src;

import java.awt.*;

public class DrawingObjectBoat implements IDrawingObject {
    private DrawingBoat __drawingBoat = null;

    public DrawingObjectBoat(DrawingBoat drawingBoat) {
        __drawingBoat = drawingBoat;
    }

    @Override
    public Position GetCurrentPosition() {
        if (__drawingBoat == null)
            return null;
        return __drawingBoat.GetCurrentPosition();
    }

    @Override
    public void MoveObject(EnumDirection enumDirection) {
        if (__drawingBoat == null)
            return;
        __drawingBoat.MoveTransport(enumDirection);
    }

    @Override
    public float Step() {
        if (__drawingBoat == null)
            return 0;
        if (__drawingBoat.entityBoat == null)
            return 0;
        return __drawingBoat.entityBoat.Step();
    }

    @Override
    public void SetObject(int x, int y, int width, int height) {
        __drawingBoat.SetPosition(x, y, width, height);
    }

    @Override
    public void DrawingObject(Graphics g) {
        if (__drawingBoat == null)
            return;
        __drawingBoat.DrawTransport(g);
    }
}
