package src;

import java.awt.*;

public class DrawingCatamaran extends DrawingBoat {
    public DrawingCatamaran(int speed, float weight, Color bodyColor, Color dopColor, boolean bobbers, boolean sail) {
        super(speed, weight, bodyColor, 110, 80);
        entityBoat = new EntityCatamaran(speed, weight, bodyColor, dopColor, bobbers, sail);
    }

    @Override
    public void DrawTransport(Graphics g) {
        // Если объект-сущность не того класса - выходим
        if (!(entityBoat instanceof EntityCatamaran)) {
            return;
        }

        // Передаем управление отрисовкой родительскому классу
        super.DrawTransport(g);

        // TODO дописать отрисовку поплавков и паруса
    }
}
